Name: gtk-gnutella
Summary: GUI based Gnutella Client
Version: 1.1.9
Release: %mkrel 1
Group: Networking/File transfer
License: GPLv2+
URL: http://gtk-gnutella.sourceforge.net
Source0: http://sourceforge.net/projects/gtk-gnutella/files/gtk-gnutella/%{version}/gtk-gnutella-%{version}.tar.bz2
#Patch0: gtk-gnutella-1.0.0-mga-cert.patch

%if 0%{!?_with_gtk1:1}
BuildRequires: gtk2-devel
BuildRequires: libglade2-devel
%else
BuildRequires: gtk+-devel
BuildRequires: libglade-devel
%endif
BuildRequires: libxml2-devel
BuildRequires: byacc
BuildRequires: groff
BuildRequires: gettext

BuildRequires: gnutls-devel >= 1.0.16
BuildRequires: dbus-devel >= 0.35.2

BuildRequires: desktop-file-utils >= 0.2.90


%description
Gtk-Gnutella is a GUI based Gnutella p2p servent. It's a fully featured  
servent designed to share any type of file.  Gtk-gnutella implements 
compressed gnutella net connections, ultrapeer and leaf nodes and uses 
Passive/Active Remote Queueing (PARQ), and other modern gnutella network 
features.


%prep
%setup -q
%autopatch -p1

%build
./Configure -O -Dprefix=%{_prefix} -Dbindir=%{_bindir} \
        -Dglibpth="/%{_lib} %{_libdir}" \
        -Dprivlib=%{_datadir}/%{name} -Dsysman=%{_mandir}/man1 \
        -Dccflags="%{optflags}" -Dcc="%{__cc}" -Dyacc="byacc" \
        -Dgtkversion=%{?_with_gtk1:1}%{!?_with_gtk1:2} \
        -Dofficial=true -ders
make


%install
make install INSTALL_PREFIX=$RPM_BUILD_ROOT
make install.man INSTALL_PREFIX=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/*.svg
install -D -m 644 extra_files/gtk-gnutella.16.png \
        $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/16x16/apps/gtk-gnutella.png
install -D -m 644 extra_files/gtk-gnutella.32.png \
        $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/gtk-gnutella.png
install -D -m 644 extra_files/gtk-gnutella.png \
        $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/48x48/apps/gtk-gnutella.png
install -D -m 644 extra_files/gtk-gnutella.svg \
        $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/scalable/apps/gtk-gnutella.svg

desktop-file-install --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        $RPM_BUILD_ROOT%{_datadir}/applications/*
%find_lang %name

%files  -f %{name}.lang
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/gtk-gnutella
%{_datadir}/applications/*
%{_datadir}/appdata/*
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/*/apps/*

%doc README TODO AUTHORS LICENSE GEO_LICENSE doc/other/shell.txt


%changelog
* Thu May 12 2016 joequant <joequant> 1.1.9-1.mga6
+ Revision: 1013862
- single thread build
- update to 1.1.9

* Mon Jan 11 2016 luigiwalser <luigiwalser> 1.0.0-6.mga6
+ Revision: 921808
- rebuild for gnutls

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 746525
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 680001
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.0.0-3.mga5
+ Revision: 538332
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 joequant <joequant> 1.0.0-2.mga4
+ Revision: 489290
- fix segfault in 1.0.0

* Sat Sep 28 2013 joequant <joequant> 1.0.0-1.mga4
+ Revision: 488342
- upgrade to 1.0.0

* Sat Aug 03 2013 joequant <joequant> 0.98.4-1.mga4
+ Revision: 462953
- fix category
- imported package gtk-gnutella

